require_relative 'lib/event/engine/version'

Gem::Specification.new do |spec|
  spec.name          = "event-engine"
  spec.version       = Event::Engine::VERSION
  spec.authors       = ["Anshul Khandelwal"]
  spec.email         = ["anshul@anshul.io"]

  spec.summary       = %q{A batteries included graphql first business logic framework for rails}
  spec.description   = %q{graphql and event sourcing are a match made in heaven!}
  spec.homepage      = "https://event-engine.difference-engine.ai"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")


  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/difference-engine/event-engine"
  spec.metadata["changelog_uri"] = "https://github.com/difference-engine/event-engine/blob/master/CHANGELOG.md"


  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")


  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
